Thanks a lot for considering a contribution to ozz-animation! All contributions are welcome: code reviews, bug reports, bug fixes, samples, features, platforms, testing, documentation, optimizations...

# Submitting bugs

To report bugs please use [project's issues tracker](https://github.com/guillaumeblanc/ozz-animation/issues). To help with debugging and understanding, please provide a simple repro case, ideally a modified [sample](https://github.com/guillaumeblanc/ozz-animation/tree/master/samples) or [howto](https://github.com/guillaumeblanc/ozz-animation/tree/master/howtos) with minimal changes.

# Contributing to the code

**By submitting a pull request for this project, you agree to license your contribution under [project's MIT license](LICENSE.md).**

ozz branching strategy follows [gitflow model](http://nvie.com/posts/a-successful-git-branching-model/). When submitting patches, please:
  - Make pull requests to develop branch for features, to release branch for hotfixes.
  - Respect [Google c++ coding style](https://google.github.io/styleguide/cppguide.html), run clang-format.
  - Implement all relevant unit tests.
  - Run all the tests and make sure they pass.
  - Add your name and email address at the end of [AUTHORS.md](AUTHORS.md) list.
